Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQMouseDriverFactory Class Reference

The TQMouseDriverFactory class creates TQWSMouseHandler objects for TQt/Embedded. More...

`#include <qmousedriverfactory_qws.h>`

List of all member functions.

## Static Public Members

- TQStringList keys ()
- TQWSMouseHandler * create ( const TQString & key, const TQString & device )

## Detailed Description

The TQMouseDriverFactory class creates TQWSMouseHandler objects for TQt/Embedded.

The graphics driver factory creates a TQWSMouseHandler object for a given key with TQMouseDriverFactory::create(key).

The drivers are either built-in or dynamically loaded from a driver plugin (see TQMouseDriverPlugin).

This class is only available in TQt/Embedded.

TQMouseDriverFactory::keys() returns a list of valid keys.

## Member Function Documentation

### TQWSMouseHandler * TQMouseDriverFactory::create ( const TQString & key, const TQString & device )`[static]`

Creates a TQWSMouseHandler object that matches key and uses device device. This is either a built-in driver, or a driver from a driver plugin.

See also keys().

### TQStringList TQMouseDriverFactory::keys ()`[static]`

Returns the list of keys this factory can create drivers for.

See also create().

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.